hammer activation-key allows -1 and text inputs for max-content-hosts
Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1122715 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/219

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122715

Description of problem:

hammer activation-key allows -1 and text inputs for max-content-hosts

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.29-1.el6sat.noarch

foreman-compute-1.6.0.29-1.el6sat.noarch

foreman-gce-1.6.0.29-1.el6sat.noarch

foreman-libvirt-1.6.0.29-1.el6sat.noarch

foreman-ovirt-1.6.0.29-1.el6sat.noarch

foreman-postgresql-1.6.0.29-1.el6sat.noarch

foreman-proxy-1.6.0.21-1.el6sat.noarch

foreman-selinux-1.6.0-8.el6sat.noarch

foreman-vmware-1.6.0.29-1.el6sat.noarch

katello-1.5.0-27.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.56-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch

pulp-selinux-2.4.0-0.23.beta.el6sat.noarch

pulp-server-2.4.0-0.23.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Always

Steps to Reproduce:
1. hammer activation-key create --organization-id=3 --name=ak5 --max-content-hosts="-1"

Activation key created

1. hammer activation-key create --organization-id=3 --name=ak6 --max-content-hosts="test"

Activation key created

Actual results:

-1 and string are allowed as max-content-hosts values

Expected results:

-1 and string should not be allowed as max-content-hosts values

Additional info:

Note 1: The content-host limit is showing unlimited for the above created activation keys

Note 2: More info about the expected behavior in this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1097054

Associated revisions

Revision f68c8161 - 08/13/2014 02:58 PM - dustin tsang

Fixes #7030 - validates AK max_content_hosts

validates that integer is being passed for max_content_host in

ActivationKey command

Revision eba53d04 - 08/13/2014 03:59 PM - dustin tsang

Merge pull request #219 from dustint-rh/validate_ak_max_content_hosts

Fixes #7030 - validates AK max_content_hosts

History

#1 - 08/13/2014 12:56 PM - dustin tsang

- Pull request https://github.com/Katello/hammer-cli-katello/pull/219 added

- Pull request deleted ()

#2 - 08/13/2014 02:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

#3 - 08/13/2014 04:01 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|f68c81611fe6d155633866cbbbc71a82058ebd48.

#4 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
